Exodus 7.10

Data Fields
ex_block_params Struct Reference
Structures used by external API functions.

`#include <exodusII.h>`

## Data Fields
void_int * | edge_blk_id
char ** | edge_type
int * | num_edge_this_blk
int * | num_nodes_per_edge
int * | num_attr_edge
void_int * | face_blk_id
char ** | face_type
int * | num_face_this_blk
int * | num_nodes_per_face
int * | num_attr_face
void_int * | elem_blk_id
char ** | elem_type
int * | num_elem_this_blk
int * | num_nodes_per_elem
int * | num_edges_per_elem
int * | num_faces_per_elem
int * | num_attr_elem
int | define_maps

## Detailed Description

Examples:
  /test/MakeTestData.c.

## Field Documentation

## ◆ define_maps

int ex_block_params::define_maps

Examples:
  /test/MakeTestData.c.

## ◆ edge_blk_id

void_int* ex_block_params::edge_blk_id

Examples:
  /test/MakeTestData.c.

## ◆ edge_type

char** ex_block_params::edge_type

Examples:
  /test/MakeTestData.c.

## ◆ elem_blk_id

void_int* ex_block_params::elem_blk_id

Examples:
  /test/MakeTestData.c.

## ◆ elem_type

char** ex_block_params::elem_type

Examples:
  /test/MakeTestData.c.

## ◆ face_blk_id

void_int* ex_block_params::face_blk_id

Examples:
  /test/MakeTestData.c.

## ◆ face_type

char** ex_block_params::face_type

Examples:
  /test/MakeTestData.c.

## ◆ num_attr_edge

int* ex_block_params::num_attr_edge

Examples:
  /test/MakeTestData.c.

## ◆ num_attr_elem

int* ex_block_params::num_attr_elem

Examples:
  /test/MakeTestData.c.

## ◆ num_attr_face

int* ex_block_params::num_attr_face

Examples:
  /test/MakeTestData.c.

## ◆ num_edge_this_blk

int* ex_block_params::num_edge_this_blk

Examples:
  /test/MakeTestData.c.

## ◆ num_edges_per_elem

int* ex_block_params::num_edges_per_elem

Examples:
  /test/MakeTestData.c.

## ◆ num_elem_this_blk

int* ex_block_params::num_elem_this_blk

Examples:
  /test/MakeTestData.c.

## ◆ num_face_this_blk

int* ex_block_params::num_face_this_blk

Examples:
  /test/MakeTestData.c.

## ◆ num_faces_per_elem

int* ex_block_params::num_faces_per_elem

Examples:
  /test/MakeTestData.c.

## ◆ num_nodes_per_edge

int* ex_block_params::num_nodes_per_edge

Examples:
  /test/MakeTestData.c.

## ◆ num_nodes_per_elem

int* ex_block_params::num_nodes_per_elem

Examples:
  /test/MakeTestData.c.

## ◆ num_nodes_per_face

int* ex_block_params::num_nodes_per_face

Examples:
  /test/MakeTestData.c.

The documentation for this struct was generated from the following file:

- include/exodusII.h